Bug 904052 - Eye of GNOME should be the default application for viewing images
Eye of GNOME should be the default application for viewing images
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: shared-mime-info (Show other bugs)
20
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Bastien Nocera
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-01-25 06:15 EST by Alexander van Loon
Modified: 2015-06-29 07:44 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-06-29 07:44:51 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Alexander van Loon 2013-01-25 06:15:27 EST
Description of problem:
After the installation of Fedora 18 I noticed that Shotwell is the default for viewing JPG and PNG images. This doesn't make much sense because Shotwell is primarily a photo management application. The default Image Viewer a.k.a. Eye of GNOME is a much more sensible default.
Comment 1 Alexander van Loon 2013-11-10 09:22:04 EST
This is still the case in the Fedora 20 Alpha, so I've updated the version number of this bug.

Also, in GNOME 3.10 (which is included in Fedora 20) you have the option to add Flickr through "Online Accounts". I did this, but it turns out that this functionality only works with GNOME Photos. Since GNOME Photos is apparently going to be the default application for photo management in GNOME, maybe it would be a good idea to eventually replace Shotwell with GNOME Photos?
Comment 2 Thomas Moschny 2013-11-11 05:42:58 EST
(In reply to Alexander van Loon from comment #1)
> Since GNOME Photos is apparently going to be the default application
> for photo management in GNOME, maybe it would be a good idea to eventually
> replace Shotwell with GNOME Photos?

What do you mean by 'replace'? GNOME Photos will be a core GNOME component,
while Shotwell is a popular add-on. You are free to install and use it, or not.


(In reply to Alexander van Loon from comment #0)
> Description of problem:
> After the installation of Fedora 18 I noticed that Shotwell is the default
> for viewing JPG and PNG images. This doesn't make much sense because
> Shotwell is primarily a photo management application. The default Image
> Viewer a.k.a. Eye of GNOME is a much more sensible default.

Shotwell is also a photo viewer, it puts itself in viewing mode when call on a file. Depending on your Desktop Environment, you can easily change the default viewer from Shotwell to eog. The system-wide default is set by the shared-mime-info package, re-assigning ticket.
Comment 3 Alexander van Loon 2013-11-11 13:06:49 EST
I mean that because GNOME Photos and Shotwell are both photo management applications, it might make sense to remove Shotwell from the default installation and use GNOME Photos instead because that is better integrated with GNOME.

I know Shotwell is a photo viewer and that you can change the default application to open image files easily, but my issue is with the default settings. I think Eye of GNOME, as the GNOME's default photo viewer, is a much more convenient photo viewer than Shotwell. I can't argue why in detail because I've already removed Shotwell from my systems. But be assured that I tried it out and that I quickly got annoyed with Shotwell.

Right now Eye of GNOME is not installed by default when the GNOME Live image is used. Because Eye of GNOME is a more attractive default I think that should be installed by default and be made the default photo viewer.
Comment 4 Alexander van Loon 2013-11-12 16:56:25 EST
Okay, I still had it on my system and after comparing the two I think I have to revise my opinion on them. The Shotwell viewer includes editing functionality, which Eye of GNOME (EoG) does not. EoG is simpler, has a toolbar and uses the dark GTK theme. For novice users – and advanced users who like simplicity like me – EoG is probably the better option.

It seems better to me to separate editing from viewing. If I want to view photos I'll use EoG and if I want to edit I'll use GIMP: do one thing and do it well, according to the Unix philosophy. EoG is also the default application propagated by GNOME, so it would make sense to include it on the GNOME live image. If people don't like EoG as the default they can install something else; now it's the other way around, if they don't like Shotwell they have to install the default.
Comment 5 Fedora End Of Life 2015-05-29 04:52:09 EDT
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 6 Fedora End Of Life 2015-06-29 07:44:51 EDT
Fedora 20 changed to end-of-life (EOL) status on 2015-06-23. Fedora 20 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.